HMV_STATEFILE="/data/var/statefiles/nginx_vhosts.json"

_generate_hmv_completions() {
    shopt -s extglob
    local cur="${COMP_WORDS[COMP_CWORD]}"
    case $cur in
        --*)
        local COMPLETE_OPTIONS=$(_get_hmv_long_options)
        ;;
        *)
        # Prevent constant autocompletion by allowing it as the first option, or the previous option should
        # be a long option
        if [ $COMP_CWORD = 1 ] || [[ ${COMP_WORDS[COMP_CWORD - 1]} =~ --* ]]; then
            local COMPLETE_OPTIONS=$(_get_all_servernames)
        fi
        ;;
    esac

    COMPREPLY=($(compgen -W "$COMPLETE_OPTIONS" -- "$cur"))
}

_get_hmv_long_options() {
    local options="""
all disable-https help list port-https-staging type default-server disable-varnish https no port-http-staging varnish
delete force-https import-dir port-http ssl-config verbose disable-force-https format import-statefile port-https
ssl-noclobber yes"""
    # Prefix -- for all options
    for w in $options; do echo "--$w"; done
}

_get_all_servernames() {
    echo $(_get_ssl_servernames)
    echo $(_get_hmv_servernames)
}

_get_ssl_servernames() {
    for f in /data/web/nginx/ssl/*crtkeyca; do openssl x509 -in "$f" -text | grep DNS: | cut -d: -f2 | grep -Ev "^\*"; done
}

_get_hmv_servernames() {
    if [ -f $HMV_STATEFILE ]; then
        jq -r 'keys[]' $HMV_STATEFILE
    fi
}

complete -F _generate_hmv_completions hypernode-manage-vhosts
