"""
kamiakze3.common.csv
~~~~~~~~~~~~~~~~~~~~
Easy CSV related features
"""
import sys
from csv import DictWriter


def print_dicts_as_csv(dicts, file_=None):
    """Print dictionaries in CVS format to specified file like object.
    If no file is provided, uses sys.stdout by default

    :param list[dict] dicts: list of dictionaries
    :return: None
    """
    if len(dicts) < 1:
        return
    if not file_:
        file_ = sys.stdout
    columns = sorted(list(dicts[0].keys()))
    writer = DictWriter(file_, fieldnames=columns)
    writer.writeheader()
    for item in dicts:
        writer.writerow(item)
