import functools
import warnings


def deprecate(suggestion=''):
    """Mark a function as deprecated
    :param suggestion: a suggestion about the deprecated.
    """
    def create_decorator(func):
        @functools.wraps(func)
        def show_warning_then_run(*args, **kwargs):
            warnings.warn(
                "Function {} is deprecated. {}".format(func.__name__, suggestion), DeprecationWarning)
            return func(*args, **kwargs)
        return show_warning_then_run
    return create_decorator


