from kamikaze3.analysis.fpmstatus import FpmSource
from argparse import ArgumentParser


def parse_arguments(args=None):
    """
    Parse the hypernode-manage-floating-ip arguments
    :param list args: Optional, defaults to sys.argv
    :return obj args: The parsed arguments
    """
    parser = ArgumentParser()
    parsed_args = parser.parse_args(args)
    return parsed_args


def get_longest_process_time():
    """
    Return the longest running process time at this moment as an int
    :return int longer_running_process_time: The longest running process time
    """
    scoreboard = FpmSource().get_scoreboard()
    durations = [x['time'] for x in scoreboard if isinstance(x['time'], float)]
    return int(max(durations)) if durations else 0


def main():
    """
    The entrypoint for this command
    :return None:
    """
    parse_arguments()
    print(get_longest_process_time())


if __name__ == '__main__':
    main()
