# Logger settings
LOG_FILE = "/var/log/hypernode-mysql-backup.log"

MYSQLDUMP_BINARY = "/usr/bin/mysqldump"
ARCHIVER_BINARY = "/bin/gzip"
MYSQL_BINARY = "/usr/bin/mysql"  # Used for retrieving list of DBs
MYSQLADMIN_BINARY = "/usr/bin/mysqladmin"  # Used to test if mysql is up
AWS_CLI_VIRTUAL_ENV = "/root/.awscli-venv"  # needed for the s3 cli tool
VARS_FILE = "/etc/hypernode/mysqlbackups.json"  # contains s3 credentials and appname
FOLDER_NAME = "{appname}_backup_user"  # user's are restricted into this submap

DB_VALIDATION_REGEX = "^[a-zA-Z0-9-_.!]+$"


MAIL_EXCEPTION_SENDER = 'noreply@hypernode.com'
MAIL_EXCEPTION_RECIPIENT = ['hypernode@byte.nl']

BACKUP_MONITOR_FILE = "/data/var/mysql_backup_status.json"

#############################
# INTERNALS : DO NOT CHANGE #
#############################

# We use --force because it will still create a dump in case of SQL errors,
# e.g. corrupt views, which will be saved comments in the SQL file - which
# is what we want.
MYSQLDUMP_CMD = MYSQLDUMP_BINARY + " --single-transaction --max_allowed_packet=64M --lock-tables=false --force --routines --events --insert-ignore %(database)s"
ARCHIVER_CMD = ARCHIVER_BINARY + " -5 -c"
