import requests

from kamikaze3.common.api import HYPERNODE_API_URL, get_hypernode_api_token, handle_api_response, SYSTEMCTL_USER_AGENT
from kamikaze3.common.env import get_app_name


def create_backup():
    """
    Attach the latest snapshot backup
    :return dict response_json: The json response as a dict
    """
    response = requests.post(
        HYPERNODE_API_URL + '/v2/app/{}/backup/'.format(get_app_name()),
        headers={'Authorization': 'Token {}'.format(get_hypernode_api_token()), 'User-Agent': SYSTEMCTL_USER_AGENT}
    )
    handle_api_response(
        response,
        success_message="Create backup job posted, see hypernode-log "
                        "(or livelog) for job progress. This backup can "
                        "be attached by using the "
                        "'hypernode-systemctl attach_backup' command."
    )
