import requests

from kamikaze3.common.env import get_app_name
from kamikaze3.common.api import get_hypernode_api_token, HYPERNODE_API_URL, handle_api_response, SYSTEMCTL_USER_AGENT

HYPERNODE_API_APP_DETAIL_URL = HYPERNODE_API_URL + '/v2/app/{}/'


def set_attribute(attribute, value):
    response = requests.patch(HYPERNODE_API_APP_DETAIL_URL.format(get_app_name()), headers={
        'Authorization': 'Token {}'.format(get_hypernode_api_token()),
        'User-Agent': SYSTEMCTL_USER_AGENT
    }, data={attribute: value})
    handle_api_response(response, 'Operation was successful and is being processed. Please allow a few minutes for '
                                  'the settings to be applied. Run \'livelog\' to see the progress.')


def get_attribute(attribute):
    response = requests.get(HYPERNODE_API_APP_DETAIL_URL.format(get_app_name()), headers={
        'Authorization': 'Token {}'.format(get_hypernode_api_token()),
        'User-Agent': SYSTEMCTL_USER_AGENT
    })
    handle_api_response(response, '{} is set to value {}'.format(attribute, response.json()[attribute]))
