import logging
from kamikaze3.common.filesystem import read_json_file

log = logging.getLogger(__name__)


def show_attribute(attribute):
    """
    Show an attribute to the app user. This is a read-only operation, so different from the
    `hypernode-systemctl settings` command.
    Currently the only supported attribute is the hypernode dkim record, which is stored
    in /etc/hypernode/app.json, but in the future we could offer attributes from any
    number of sources.
    """
    app_json = read_json_file('/etc/hypernode/app.json')
    if attribute not in app_json:
        log.warning("{} not found for this hypernode, please contact support".format(attribute))
        return
    value = app_json[attribute]
    log.info('{}'.format(value))
