def setup_whitelist_parsing(sub_parsers):
    allowed_whitelist_types = ['waf', 'database', 'ftp']
    whitelist_parser = sub_parsers.add_parser('whitelist')
    whitelist_subparsers = whitelist_parser.add_subparsers(dest='whitelist_command')
    whitelist_subparsers.required = True

    setup_whitelist_add_parsing(whitelist_subparsers, allowed_whitelist_types)
    setup_whitelist_remove_parsing(whitelist_subparsers, allowed_whitelist_types)
    setup_whitelist_get_parsing(whitelist_subparsers, allowed_whitelist_types)


def setup_whitelist_add_parsing(sub_parsers, allowed_whitelist_types):
    whitelist_add_parser = sub_parsers.add_parser('add')
    whitelist_add_parser.add_argument('type', choices=allowed_whitelist_types)
    whitelist_add_parser.add_argument('ip')
    whitelist_add_parser.add_argument('--description')


def setup_whitelist_remove_parsing(sub_parsers, allowed_whitelist_types):
    whitelist_remove_parser = sub_parsers.add_parser('remove')
    whitelist_remove_parser.add_argument('type', choices=allowed_whitelist_types)
    whitelist_remove_parser.add_argument('ip')


def setup_whitelist_get_parsing(sub_parsers, allowed_whitelist_types):
    whitelist_get_parser = sub_parsers.add_parser('get')
    whitelist_get_parser.add_argument('--type', choices=allowed_whitelist_types)
